#include<bits/stdc++.h>
#define ll long long
using namespace std;
bool cenz[25];
ll N,M,res=1e9,cen,pok;
string A,B,R;
void provera(){
   pok=0;
   cen=0;
   for(int i=0;i<N;i++){
      if(cenz[i]==true){
         cen++;
         continue;
      }
      if(A[i]==B[pok])
         pok++;
   }
   if(pok==M)
      return;
   if(cen>res)
      return;
   res=cen;
   cout<<cen<<endl;
   for(int i=0;i<N;i++)
      if(cenz[i]==true)
         cout<<"*";
      else
         cout<<A[i];
   cout<<endl;
   return;
}
void rek(int gde){
   if(gde==N){
      cenz[gde]=0;
      provera();
      cenz[gde]=1;
      provera();
   }
   else{
      cenz[gde]=0;
      rek(gde+1);
      cenz[gde]=1;
      rek(gde+1);
   }
}
int main(){
   cin>>A>>B;
   N=A.size();
   M=B.size();
   B+=".";
   rek(0);
   return 0;
}